{
  modulesPath,
  system,
  inputs,
  pkgs,
  lib,
  ...
}:
{
  imports = [
    "${modulesPath}/installer/cd-dvd/installation-cd-graphical-base.nix"
    ./hardware.nix
  ];

  nixpkgs.overlays = [
    inputs.alqages.overlays.default
  ];

  alqueva = {
    programs = {
      swaybg = {
        enable = true;
        wallpaper = inputs.wallpkgs.wallpapers.rose-pine.rose_pine-04.path;
      };
      waybar.enable = true;
      mako.enable = true;
      openssh.enable = true;
    };
    wms = {
      niri.enable = true;
    };
    users.nixos = {
      shell = pkgs.amadaluzian-zsh;
      groups = [
        "wheel"
        "video"
        "audio"
        "input"
      ];
      packages = [
        pkgs.ripgrep
        pkgs.alacritty
        pkgs.fuzzel
        pkgs.amadaluzian-zsh
        pkgs.chromium
        pkgs.pwvucontrol
        pkgs.polari
        pkgs.dino
        pkgs.fractal
      ];
      tmpfiles = [
        "L+ %h/.config/alacritty - - - - ${./skel/alacritty}"
        "L+ %h/.config/mako - - - - ${./skel/mako}"
        "L+ %h/.config/waybar - - - - ${./skel/waybar}"
        "L+ %h/.config/niri - - - - ${./skel/niri}"
        "L+ %h/.config/fuzzel - - - - ${./skel/fuzzel}"
      ];
    };
    system = {
      fonts = {
        enable = true;
        fonts = {
          sansSerif = {
            names = [ "Source Sans 3" ];
            packages = [ pkgs.source-sans ];
          };
          monospace = {
            names = [ "Source Code Pro" ];
            packages = [ pkgs.source-code-pro ];
          };
          serif = {
            names = [ "Source Serif 4" ];
            packages = [ pkgs.source-serif ];
          };
          emoji = {
            names = [ "Noto Color Emoji" ];
            packages = [ pkgs.noto-fonts-color-emoji ];
          };
        };
        extraFonts = [ pkgs.nerd-fonts.symbols-only ];
      };
      pipewire.enable = true;
    };
  };

  i18n.defaultLocale = "en_US.UTF-8";

  users.users.nixos.initialHashedPassword = lib.mkForce null;

  console = {
    keyMap = "us";
    font = "LatArCyrHeb-16";
  };

  programs = {
    zsh = {
      enable = true;
      syntaxHighlighting.enable = true;
      autosuggestions.enable = true;
    };
  };

  services = {
    emacs = {
      enable = true;
      defaultEditor = true;
      install = true;
      package = inputs.pankomacs.packages.${system}.pgtk;
    };
    xserver.displayManager.gdm = {
      enable = true;
      wayland = true;
      banner = ''
        "thankfully no one got the idea to say n eye ree"
                - YaLTeR, a.k.a. John Niri (CEO of Niri Incorporated)
      '';
    };
    displayManager.autoLogin = {
      enable = true;
      user = "chell";
    };
  };

  environment.systemPackages = [
    pkgs.amadaluzian-zsh
    pkgs.btop
    inputs.hetch.packages.${system}.hetch
    pkgs.arch-install-scripts
  ];
}
